#ifndef NET_IF_TYPES_H
#define NET_IF_TYPES_H \
       "$Id: if_types.h,v 4.1 1994/10/05 23:16:26 ppessi Exp $"
/* 
 *      Interface types. Currently mapped to hardware types.
 *
 *      Copyright  1994 AmiTCP/IP Group,
 *                       Network Solutions Development, Inc.
 *                       All rights reserved.
 */

#define IFT_LOOP	0
#define IFT_ETHER	1
#define IFT_AX25	3
#define IFT_88023	6
#define IFT_ARCNET	7
#define IFT_LOCALTALK	11
#define IFT_DYLAN	12

#define IFT_AMOKNET	200	/* Amiga Floppy Port hardware */
#define IFT_LIANA	202	/* Villate Tronic parallel port hw */
#define IFT_PPP 	253
#define IFT_SLIP 	254
#define IFT_CSLIP 	255
#define IFT_PLIP	420	/* SLIP over a parallel port */

#endif /* !NET_IF_TYPES_H */
